Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596692 - RFE: QEMU p9fs: Support virtio p9fs for filesystem passthrough to guest
Summary: RFE: QEMU p9fs: Support virtio p9fs for filesystem passthrough to guest
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: libvirtTodoHV
TreeView+ depends on / blocked
 
Reported: 2010-05-27 10:21 UTC by Daniel Berrange
Modified: 2012-02-20 07:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-07 14:30:45 UTC


Attachments (Terms of Use)

Description Daniel Berrange 2010-05-27 10:21:38 UTC
Description of problem:
Latest QEMU has a virtio driver for the p9fs filesystem, to allow host directories to be passed through to the guest. This is a very useful feature and needs to be supported in libvirt's QEMU driver.

 - Hook up the existing <filesystem> tag
 - Integrate with SELinux security driver


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Berrange 2010-11-09 22:12:46 UTC
Core support is done in

commit a5c646a770769179a46f8157cfb7d526ac5efc81
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Wed Jun 2 15:05:09 2010 +0100

    Implement support for virtio plan9fs filesystem passthrough in QEMU


The SELinux sVirt driver still needs to have support for relabelling the filesystem tree.


Note You need to log in before you can comment on or make changes to this bug.